comfortable-flav

certificado digital - falta modulo pkcs#11

4 posts neste tópico

Caros amigos.

To tentando criar meu certificado digital no Banco do Brasil para utilizar a internete com mais segurança.

Logo ao abrir o processo de criação do certificado (dizem que deve ser nível A3)

dentro do browser, dentro da página do BB vem a mensagem:

----- falta o módulo PKCS#11. -----

--- Como o BB (ou talvez alguns dos bancários do BB) aparentemente ficam zangados com qualquer pergunta ou manifestação do cliente, estou tentando resolver aqui com meus botoes e na companhia de pessoas mais humanas que espontaneamente queiram dar uma ajudinha - do mesmo jeito que gosto de fazer) ---

Voltando. Encontrei alguma citação sobre o Java e ngp11v211.dll.

Além disso estou vendo se encontro algum material sobre a Certificacao e maneiras práticas e baratas de conseguir.

Utilizo o UBUNTU linux (9.04 - Jaunty Jackalope) e o Mozilla Firefox 3.0.15

Abraco

comfortable-flav

Compartilhar este post


Link para o post
Compartilhar em outros sites
Caros amigos.

To tentando criar meu certificado digital no Banco do Brasil para utilizar a internete com mais segurança.

Logo ao abrir o processo de criação do certificado (dizem que deve ser nível A3)

dentro do browser, dentro da página do BB  vem a mensagem:

    -----  falta o módulo PKCS#11.    -----

---  Como o BB (ou talvez alguns dos bancários do BB) aparentemente ficam zangados com qualquer pergunta ou manifestação do cliente, estou tentando resolver aqui com meus botoes e na companhia de pessoas mais humanas que espontaneamente queiram dar uma ajudinha - do mesmo jeito que gosto de fazer)  ---

Voltando.  Encontrei alguma citação sobre o Java e ngp11v211.dll.

Além disso estou vendo se encontro algum material sobre a Certificacao e maneiras práticas e baratas de conseguir.

Utilizo o UBUNTU linux (9.04 - Jaunty Jackalope) e o Mozilla Firefox 3.0.15

Abraco

comfortable-flav

confortable-flav trabalhando na solucao

Continuei pesquisando até que voltei ao meu gerenciador de pacotes, no meu caso o apt / sinaptic.

comecei procurando novamente os pacotes, primeiro do java.

aí notei uns cliques que estavam me atrapalhando, pois algumas vezes eu não fazia a procura na categoria "todos os pacotes".

aos poucos a gente vai aprendendo a utilizar as ricas ferramentas do linux.

====primeiro - java - , então os próprios comentários de cada pacote me levaram a pacotes que possivelmente possam ser úteis ao meu objetivo.

====então - pkcs , token , libmusclepkcs , muscle , javacard .

Sou um pouco exagerado e naturalmente não gosto de mensagens de erro (interrupção

do trabalho e descoberta de problemas a resolver)

Então escolhi, marquei para download e instalação uma pá de pacotes e mandei ver.

A esperança é que a mensagem " falta de módulo PKCS#11" não apareça mais e que outras que viriam a seguir também já estejam solucionadas.

O serviço tá pronto.

Mais adiante reporto se funcionou.

Compartilhar este post


Link para o post
Compartilhar em outros sites
confortable-flav trabalhando na solucao

Continuei pesquisando até que voltei ao meu gerenciador de pacotes, no meu caso o apt / sinaptic.

comecei procurando novamente os pacotes, primeiro do java.

aí notei uns cliques que estavam me atrapalhando, pois algumas vezes eu não fazia a procura na categoria "todos os pacotes".

aos poucos a gente vai aprendendo a utilizar as ricas ferramentas do linux.

====primeiro - java - , então os próprios comentários de cada pacote me levaram a pacotes que possivelmente possam ser úteis ao meu objetivo.

====então - pkcs ,  token ,  libmusclepkcs ,    muscle ,    javacard .

Sou um pouco exagerado e naturalmente não gosto de mensagens de erro (interrupção

do trabalho e descoberta de problemas a resolver)

Então escolhi, marquei para download e instalação uma pá de pacotes e mandei ver.

A esperança é que a mensagem " falta de módulo PKCS#11" não apareça mais e que outras que viriam a seguir também já estejam solucionadas.

O serviço tá pronto.

Mais adiante reporto se funcionou.

amigos

depois

- antes ainda de tentar adquirir novamente o certificado digital -

reencontrei uma mensagem do BB,

revisei seu conteúdo e fui novamente ao gerenciador de pacotes

buscar (marcar, baixar e instalar) tudo que fosse relacionado a

- sun-java5-jre

- sun-java5-bin - e

- sun-java5-plugin

( procurei mais um pouco prá não deixar faltar nada )

e

" vua lá! "

Ao tentar novamente o sistema do BB não gerou nenhuma mensagem de erro.

Por outro lado na mesma hora já percebi que por enquanto consegui

apenas superar o primeiro obstáculo.

O sistema quer que eu insira "o cartão" para prosseguir com a

confecção do certificado digital.

Verifiquei que devo adquirir um cartão e uma leitora específicos.

A outra opção é um pen-drive TOKEN, que me pareceu melhor.

E então seguir em frente.

Vou deixar para mais adiante. Não é urgente. Apenas achei

interessante e o banco está oferecendo grátis. Parecia fácil e indolor.

Já comecei o processo. To satisfeito.

Abraço aos amigos.

comfortable-flav

Compartilhar este post


Link para o post
Compartilhar em outros sites

Estou utilizando o Ubuntu 10.04, para acessar a conta do Banco do Brasil utilizando o e-CPF ou qualquer certificado A3 com smartCard com leitora via USB, basta instalar os seguintes pacotes:

- libccid

- libopensc2

Lembrando que deve instalar o Java da Sun/Oracle que são os pacotes:

- sun-java6-jre

- sun-java6-plugin (para que o firefox acione o Java).

Também está funcionando com o Google Chrome.

Obs.: no Ubuntu 9.10 não estava funcionando.

Compartilhar este post


Link para o post
Compartilhar em outros sites

Crie uma conta ou entre para comentar

Você precisar ser um membro para fazer um comentário

Criar uma conta

Crie uma nova conta em nossa comunidade. É fácil!


Crie uma nova conta

Entrar

Já tem uma conta? Faça o login.


Entrar Agora

  • Quem Está Navegando   0 membros estão online

    Nenhum usuário registrado visualizando esta página.